# app/schemas/auth.py
from pydantic import BaseModel, EmailStr
from app.config import settings

class Token(BaseModel):
    access_token: str
    refresh_token: str  # Added refresh token
    token_type: str = settings.TOKEN_TYPE  # Use configured token type

# Optional: If you preferred not to use OAuth2PasswordRequestForm
# class UserLogin(BaseModel):
#     email: EmailStr
#     password: str